Debian Bug report logs - #580481
Fails to exclude some Arch:all packages

Package: apt-cross; Maintainer for apt-cross is (unknown);

Reported by: Hector Oron <zumbi@debian.org>

Date: Thu, 6 May 2010 09:33:02 UTC

Severity: wishlist

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#580481; Package dpkg-cross. (Thu, 06 May 2010 09:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Thu, 06 May 2010 09:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: please blacklist debconf, libc-bin, libc-dev-bin, debconf-2.0
Date: Thu, 06 May 2010 11:30:39 +0200
Package: dpkg-cross
Version: 2.5.6
Severity: wishlist


Hello,

  Later libc6 dependencies make dpkg-cross to fail on dependency mangling:

$ apt-cross -a armel -S unstable -m http://ftp.es.debian.org/debian -u
$ apt-cross -a armel -S unstable -m http://ftp.es.debian.org/debian -b libc6
$ dpkg -e libc6-armel-cross_2.10.2-7_all.deb
$ cat DEBIAN/control 
Package: libc6-armel-cross
Version: 2.10.2-7
Section: devel
Priority: extra
Architecture: all
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Source: eglibc
Provides: glibc-2.10-1-armel-cross, libc6-armel-dcv1
Depends: libc-bin-armel-cross (= 2.10.2-7), debconf-armel-cross (>= 0.5) | debconf-2.0-armel-cross, libgcc1-armel-cross
Conflicts: tzdata-etch-armel-cross
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.


At the moment thanks to exclude option this can be easily handled, but those dependencies might be nice to blacklist them if appropiate.

Cheers

-- Package-specific info:

-- (/etc/dpkg-cross/cross-compile not submitted) --


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg-cross depends on:
ii  binutils-multiarch            2.20.1-8   Binary utilities that support mult
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  dpkg-dev                      1.15.5.6   Debian package development tools
ii  libconfig-auto-perl           0.20-2     Magical config file parser
ii  libdebian-dpkgcross-perl      2.5.6      functions to aid cross-compiling D
ii  perl                          5.10.1-11  Larry Wall's Practical Extraction 

Versions of packages dpkg-cross recommends:
ii  fakeroot                      1.14.4-1   Gives a fake root environment

dpkg-cross suggests no packages.

-- debconf information:
  dpkg-cross/default-arch: None




Bug reassigned from package 'dpkg-cross' to 'apt-cross'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 04 Jun 2010 18:36:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dpkg-cross/2.5.6. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 04 Jun 2010 18:36:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'Fails to exclude some Arch:all packages' from 'dpkg-cross: please blacklist debconf, libc-bin, libc-dev-bin, debconf-2.0' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 04 Jun 2010 18:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580481; Package apt-cross. (Fri, 04 Jun 2010 18:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Fri, 04 Jun 2010 18:48:02 GMT) Full text and rfc822 format available.

Message #16 received at 580481@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 580481@bugs.debian.org
Cc: 580481-submitter@bugs.debian.org
Subject: apt-cross bug
Date: Fri, 4 Jun 2010 19:45:20 +0100
[Message part 1 (text/plain, inline)]
dpkg-cross knows nothing of blacklists - all exclusions must be
specified manually because dpkg-cross does not have any information
about the packages that make the dependencies themselves, only the
single package being processed at that moment. i.e. dpkg-cross only
knows about libc6, not libc-bin or debconf, when processing libc6.
Equally, when processing libc-bin, libc6 is completely unknown. It's
just a string of characters. The meaning of the dependency data can only
ever be available to programs based on apt or aptitude.

apt-cross does try to avoid asking dpkg-cross to build unnecessary
packages but in this case, it fails. However, you can always specify
the -x option to apt-cross manually which then gets passed down to the
-X option of dpkg-cross.

apt-cross itself is unlikely to be fixed because bugs like this are
almost inevitable due to the package mangling going on in the apt perl
bindings. I'm tempted to tag this bug as 'wontfix' now that it has been
correctly assigned.

Compare with dpkg behaviour - you can install a .deb directly whether
the dependencies exist or not. (pbuilder currently relies on this
behaviour to satisfy build dependencies.) It is only apt-get or aptitude
which can fix the resulting mess but dpkg does NOT even try to stop you
creating the mess in the first place.

Anything that relies on data outside the confines of the package itself
(i.e. the .deb) cannot be handled by dpkg-cross.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Hector Oron <zumbi@debian.org>:
Bug#580481. (Fri, 04 Jun 2010 18:48:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#580481; Package apt-cross. (Mon, 07 Jun 2010 10:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 07 Jun 2010 10:51:11 GMT) Full text and rfc822 format available.

Message #24 received at 580481-quiet@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Neil Williams <codehelp@debian.org>, 580481-quiet@bugs.debian.org
Subject: Re: Bug#580481: apt-cross bug
Date: Mon, 7 Jun 2010 12:41:27 +0200
Hello Neil,

2010/6/4 Neil Williams <codehelp@debian.org>:
> apt-cross itself is unlikely to be fixed because bugs like this are
> almost inevitable due to the package mangling going on in the apt perl
> bindings. I'm tempted to tag this bug as 'wontfix' now that it has been
> correctly assigned.

That would be fine as a workarround could be done with -x option.
Also `libc6*` depends on `debconf` was also a bug already fixed
(DebianBug#580366).

Kind regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Bug closed, send any further explanations to Hector Oron <zumbi@debian.org> Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 05 Jul 2010 15:00:04 GMT) Full text and rfc822 format available.

Message sent on to Hector Oron <zumbi@debian.org>:
Bug#580481. (Mon, 05 Jul 2010 15:00:07 GMT) Full text and rfc822 format available.

Message #29 received at 580481-submitter@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: control@bugs.debian.org
Cc: 580481-submitter@bugs.debian.org
Subject: closing 580481
Date: Mon, 05 Jul 2010 17:55:25 +0200
close 580481 
thanks

Hello,

  I am closing the bug as it looks like dpkg-cross can not blacklist and eglibc depends on debconf has waived away.

Have a nice day!

  -- Hector Oron





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Aug 2010 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:38:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.